Loans

Create a payment

POST/loans/payments

Creates a payment for a loan. Read more.

Body Parameters

account_number_id

stringOptional

ID of the source account number. Source account is required if this payment is not offline, or the loan is not completely owned by your platform. Either bank_account_id or account_number_id must be specified.

amount

integerOptional

Amount in cents for principal and interest payments. At least one of amount or principal_amount must be specified.

bank_account_id

stringOptional

ID of the source bank account. Source account is required if this payment is not offline, or the loan is not completely owned by your platform. Either bank_account_id or account_number_id must be specified.

currency

stringRequired

The currency of the payment. Currently only USD is supported.

description

stringOptional

The description of the loan payment. Maximum: 127 characters.

ignore_retained_balances

booleanOptional

Indicates whether this payment should be applied to sold balances only. Read more.

is_offline

booleanOptional

Indicates if this payment is an offline payment. Default value: false.

loan_id

stringRequired

The ID of the loan to which the payment is being made. The principal_outstanding of the loan will decrease by the payment amount.

principal_amount

integerOptional

Amount in cents for principal payments. At least one of amount or principal_amount must be specified.